<?php 

/**
 * SharedController Controller
 * @category  Controller / Model
 */
class SharedController extends BaseController{
	
	/**
     * about_us_id_default_value Model Action
     * @return Value
     */
	function about_us_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * amenities_id_default_value Model Action
     * @return Value
     */
	function amenities_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * bank_requirements_id_default_value Model Action
     * @return Value
     */
	function bank_requirements_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * bank_requirements_bank_id_option_list Model Action
     * @return array
     */
	function bank_requirements_bank_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , bank_name_en AS label FROM banks ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * bank_requirements_bank_id_default_value Model Action
     * @return Value
     */
	function bank_requirements_bank_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT banks.id FROM banks WHERE id = ?"      ;
		$queryparams = array($_SESSION['bank_id']);
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * bank_requirements_requirement_ar_default_value Model Action
     * @return Value
     */
	function bank_requirements_requirement_ar_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT banks.id FROM banks WHERE id = ?"     ;
		$queryparams = array($_SESSION['bank_id']);
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * banks_id_default_value Model Action
     * @return Value
     */
	function banks_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * banks_country_id_option_list Model Action
     * @return array
     */
	function banks_country_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , country_name_en AS label FROM countries ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * countries_id_default_value Model Action
     * @return Value
     */
	function countries_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * countries_region_id_option_list Model Action
     * @return array
     */
	function countries_region_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , region_name_en AS label FROM regions ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * countries_region_id_default_value Model Action
     * @return Value
     */
	function countries_region_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT regions.id FROM regions WHERE id = ?"     ;
		$queryparams = array($_SESSION['region_id']);
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * facilities_id_default_value Model Action
     * @return Value
     */
	function facilities_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * faqs_id_default_value Model Action
     * @return Value
     */
	function faqs_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * options_id_default_value Model Action
     * @return Value
     */
	function options_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * packages_id_default_value Model Action
     * @return Value
     */
	function packages_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * packages_country_id_option_list Model Action
     * @return array
     */
	function packages_country_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , country_name_en AS label FROM countries ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * packages_user_type_id_option_list Model Action
     * @return array
     */
	function packages_user_type_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,user_type_en AS label FROM user_types";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * privacy_policies_id_default_value Model Action
     * @return Value
     */
	function privacy_policies_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * properties_id_default_value Model Action
     * @return Value
     */
	function properties_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * properties_property_type_id_option_list Model Action
     * @return array
     */
	function properties_property_type_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , property_type_name_en AS label FROM property_types ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * properties_country_id_option_list Model Action
     * @return array
     */
	function properties_country_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , country_name_en AS label FROM countries ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * property_amenities_property_id_option_list Model Action
     * @return array
     */
	function property_amenities_property_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,short_description_en AS label FROM properties";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * property_amenities_property_id_default_value Model Action
     * @return Value
     */
	function property_amenities_property_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT properties.id FROM properties WHERE id = ?"      ;
		$queryparams = array($_SESSION['property_id']);
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * property_amenities_amenity_id_option_list Model Action
     * @return array
     */
	function property_amenities_amenity_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , amenity_name_en AS label FROM amenities ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * property_facilities_property_id_option_list Model Action
     * @return array
     */
	function property_facilities_property_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , short_description_en AS label FROM properties ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * property_facilities_property_id_default_value Model Action
     * @return Value
     */
	function property_facilities_property_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT properties.id FROM properties WHERE id = ?"       ;
		$queryparams = array($_SESSION['property_id']);
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * property_facilities_facility_id_option_list Model Action
     * @return array
     */
	function property_facilities_facility_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , facility_name_en AS label FROM facilities ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * property_resources_id_default_value Model Action
     * @return Value
     */
	function property_resources_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid()";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * property_resources_property_id_option_list Model Action
     * @return array
     */
	function property_resources_property_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,short_description_en AS label FROM properties";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * property_resources_property_id_default_value Model Action
     * @return Value
     */
	function property_resources_property_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT properties.id FROM properties WHERE id = ?"     ;
		$queryparams = array($_SESSION['property_id']);
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * property_type_options_property_type_id_option_list Model Action
     * @return array
     */
	function property_type_options_property_type_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , property_type_name_en AS label FROM property_types ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * property_type_options_property_type_id_default_value Model Action
     * @return Value
     */
	function property_type_options_property_type_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT property_types.id FROM property_types WHERE id = ?"     ;
		$queryparams = array($_SESSION['property_type_id']);
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * property_type_options_option_id_option_list Model Action
     * @return array
     */
	function property_type_options_option_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , option_name_en AS label FROM options ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * property_types_id_default_value Model Action
     * @return Value
     */
	function property_types_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * regions_id_default_value Model Action
     * @return Value
     */
	function regions_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * user_types_id_default_value Model Action
     * @return Value
     */
	function user_types_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid();";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * users_id_default_value Model Action
     * @return Value
     */
	function users_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT uuid()";
		$queryparams = null;
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * users_full_name_value_exist Model Action
     * @return array
     */
	function users_full_name_value_exist($val){
		$db = $this->GetModel();
		$db->where("full_name", $val);
		$exist = $db->has("users");
		return $exist;
	}

	/**
     * users_email_value_exist Model Action
     * @return array
     */
	function users_email_value_exist($val){
		$db = $this->GetModel();
		$db->where("email", $val);
		$exist = $db->has("users");
		return $exist;
	}

	/**
     * users_user_type_id_option_list Model Action
     * @return array
     */
	function users_user_type_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,user_type_en AS label FROM user_types ORDER BY user_type_en ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * users_user_role_id_option_list Model Action
     * @return array
     */
	function users_user_role_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT role_id AS value, role_name AS label FROM roles";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * users_user_type_id_option_list_2 Model Action
     * @return array
     */
	function users_user_type_id_option_list_2(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , id AS label FROM user_types ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * role_permissions_role_id_option_list Model Action
     * @return array
     */
	function role_permissions_role_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT role_id AS value , role_name AS label FROM roles ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * property_options_property_id_option_list Model Action
     * @return array
     */
	function property_options_property_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT id AS value , short_description_en AS label FROM properties ORDER BY label ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * property_options_property_id_default_value Model Action
     * @return Value
     */
	function property_options_property_id_default_value(){
		$db = $this->GetModel();
		$sqltext = "SELECT properties.id FROM properties WHERE id = ?"       ;
		$queryparams = array($_SESSION['property_id']);
		$val = $db->rawQueryValue($sqltext, $queryparams);
		
		if(is_array($val)){
			return $val[0];
		}
		return $val;
	}

	/**
     * property_options_option_id_option_list Model Action
     * @return array
     */
	function property_options_option_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT DISTINCT property_type_options.option_id AS value, 
options.option_name_en AS label 
FROM property_type_options
INNER JOIN options ON options.id = property_type_options.option_id
WHERE property_type_options.property_type_id = ?
ORDER BY label ASC"     ;
		$queryparams = array($_SESSION['property_type_id']);
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

}
