<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title">View  Package</h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['package_id']) ? urlencode($data['package_id']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-package_id">
                                        <th class="title"> Package Id: </th>
                                        <td class="value"> <?php echo $data['package_id']; ?></td>
                                    </tr>
                                    <tr  class="td-package_name">
                                        <th class="title"> Package Name: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['package_name']; ?>" 
                                                data-pk="<?php echo $data['package_id'] ?>" 
                                                data-url="<?php print_link("package/editfield/" . urlencode($data['package_id'])); ?>" 
                                                data-name="package_name" 
                                                data-title="Enter Package Name" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['package_name']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-package_name_ar">
                                        <th class="title"> Package Name Ar: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['package_name_ar']; ?>" 
                                                data-pk="<?php echo $data['package_id'] ?>" 
                                                data-url="<?php print_link("package/editfield/" . urlencode($data['package_id'])); ?>" 
                                                data-name="package_name_ar" 
                                                data-title="Enter Package Name Arabic" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['package_name_ar']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-package_price">
                                        <th class="title"> Package Price: </th>
                                        <td class="value">
                                            <span  data-step="0.001" 
                                                data-value="<?php echo $data['package_price']; ?>" 
                                                data-pk="<?php echo $data['package_id'] ?>" 
                                                data-url="<?php print_link("package/editfield/" . urlencode($data['package_id'])); ?>" 
                                                data-name="package_price" 
                                                data-title="Enter Package Price" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="number" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['package_price']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-package_duration">
                                        <th class="title"> Package Duration: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['package_duration']; ?>" 
                                                data-pk="<?php echo $data['package_id'] ?>" 
                                                data-url="<?php print_link("package/editfield/" . urlencode($data['package_id'])); ?>" 
                                                data-name="package_duration" 
                                                data-title="Enter Package Duration" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="number" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['package_duration']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-package_properties_no">
                                        <th class="title"> Package Properties No: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['package_properties_no']; ?>" 
                                                data-pk="<?php echo $data['package_id'] ?>" 
                                                data-url="<?php print_link("package/editfield/" . urlencode($data['package_id'])); ?>" 
                                                data-name="package_properties_no" 
                                                data-title="Enter Package Properties No" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="number" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['package_properties_no']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-package_start_date">
                                        <th class="title"> Package Start Date: </th>
                                        <td class="value">
                                            <span  data-flatpickr="{ enableTime: false, minDate: '<?php echo date_now(); ?>', maxDate: ''}" 
                                                data-value="<?php echo $data['package_start_date']; ?>" 
                                                data-pk="<?php echo $data['package_id'] ?>" 
                                                data-url="<?php print_link("package/editfield/" . urlencode($data['package_id'])); ?>" 
                                                data-name="package_start_date" 
                                                data-title="Enter Package Start Date" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="flatdatetimepicker" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['package_start_date']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-package_end_date">
                                        <th class="title"> Package End Date: </th>
                                        <td class="value">
                                            <span  data-flatpickr="{ enableTime: false, minDate: '<?php echo date_now(); ?>', maxDate: ''}" 
                                                data-value="<?php echo $data['package_end_date']; ?>" 
                                                data-pk="<?php echo $data['package_id'] ?>" 
                                                data-url="<?php print_link("package/editfield/" . urlencode($data['package_id'])); ?>" 
                                                data-name="package_end_date" 
                                                data-title="Enter Package End Date" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="flatdatetimepicker" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['package_end_date']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-added_date_time">
                                        <th class="title"> Added Date Time: </th>
                                        <td class="value"> <?php echo $data['added_date_time']; ?></td>
                                    </tr>
                                    <tr  class="td-admin_id">
                                        <th class="title"> Admin Id: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("user/view/" . urlencode($data['admin_id'])) ?>">
                                                <i class="fa fa-eye"></i> <?php echo $data['user_username'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-country_id">
                                        <th class="title"> Country Id: </th>
                                        <td class="value">
                                            <span  data-source='<?php print_link('api/json/package_country_id_option_list'); ?>' 
                                                data-value="<?php echo $data['country_id']; ?>" 
                                                data-pk="<?php echo $data['package_id'] ?>" 
                                                data-url="<?php print_link("package/editfield/" . urlencode($data['package_id'])); ?>" 
                                                data-name="country_id" 
                                                data-title="Select a value ..." 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="select" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['country_id']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-package_for">
                                        <th class="title"> Package For: </th>
                                        <td class="value">
                                            <span  data-source='<?php print_link('api/json/package_package_for_option_list'); ?>' 
                                                data-value="<?php echo $data['package_for']; ?>" 
                                                data-pk="<?php echo $data['package_id'] ?>" 
                                                data-url="<?php print_link("package/editfield/" . urlencode($data['package_id'])); ?>" 
                                                data-name="package_for" 
                                                data-title="Select a value ..." 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="select" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['package_for']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-package_duration_type">
                                        <th class="title"> Package Duration Type: </th>
                                        <td class="value">
                                            <span  data-source='<?php echo json_encode_quote(Menu :: $package_duration_type); ?>' 
                                                data-value="<?php echo $data['package_duration_type']; ?>" 
                                                data-pk="<?php echo $data['package_id'] ?>" 
                                                data-url="<?php print_link("package/editfield/" . urlencode($data['package_id'])); ?>" 
                                                data-name="package_duration_type" 
                                                data-title="Enter Package Duration Type" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="radiolist" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['package_duration_type']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fa fa-save"></i> Export
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                                <a class="btn btn-sm btn-info"  href="<?php print_link("package/edit/$rec_id"); ?>">
                                                    <i class="fa fa-edit"></i> Edit
                                                </a>
                                                <a class="btn btn-sm btn-danger record-delete-btn mx-1"  href="<?php print_link("package/delete/$rec_id/?csrf_token=$csrf_token&redirect=$current_page"); ?>" data-prompt-msg="Are you sure you want to delete this record?" data-display-style="modal">
                                                    <i class="fa fa-times"></i> Delete
                                                </a>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="fa fa-ban"></i> No Record Found
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
