<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title">View  User</h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['user_id']) ? urlencode($data['user_id']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-username">
                                        <th class="title"> Username: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['username']; ?>" 
                                                data-pk="<?php echo $data['user_id'] ?>" 
                                                data-url="<?php print_link("user/editfield/" . urlencode($data['email'])); ?>" 
                                                data-name="username" 
                                                data-title="Enter Username" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['username']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-email">
                                        <th class="title"> Email: </th>
                                        <td class="value"> <?php echo $data['email']; ?></td>
                                    </tr>
                                    <tr  class="td-user_id">
                                        <th class="title"> User Id: </th>
                                        <td class="value"> <?php echo $data['user_id']; ?></td>
                                    </tr>
                                    <tr  class="td-user_mobile">
                                        <th class="title"> User Mobile: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['user_mobile']; ?>" 
                                                data-pk="<?php echo $data['user_id'] ?>" 
                                                data-url="<?php print_link("user/editfield/" . urlencode($data['email'])); ?>" 
                                                data-name="user_mobile" 
                                                data-title="Enter User Mobile" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['user_mobile']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-user_type">
                                        <th class="title"> User Type: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['user_type']; ?>" 
                                                data-pk="<?php echo $data['user_id'] ?>" 
                                                data-url="<?php print_link("user/editfield/" . urlencode($data['email'])); ?>" 
                                                data-name="user_type" 
                                                data-title="Enter User Type" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="number" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['user_type']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-full_name">
                                        <th class="title"> Full Name: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['full_name']; ?>" 
                                                data-pk="<?php echo $data['user_id'] ?>" 
                                                data-url="<?php print_link("user/editfield/" . urlencode($data['email'])); ?>" 
                                                data-name="full_name" 
                                                data-title="Enter Full Name" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['full_name']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-register_date">
                                        <th class="title"> Register Date: </th>
                                        <td class="value"> <?php echo $data['register_date']; ?></td>
                                    </tr>
                                    <tr  class="td-country_id">
                                        <th class="title"> Country Id: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['country_id']; ?>" 
                                                data-pk="<?php echo $data['user_id'] ?>" 
                                                data-url="<?php print_link("user/editfield/" . urlencode($data['email'])); ?>" 
                                                data-name="country_id" 
                                                data-title="Enter Country Id" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="number" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['country_id']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-profile_img">
                                        <th class="title"> Profile Img: </th>
                                        <td class="value">
                                            <span  data-pk="<?php echo $data['user_id'] ?>" 
                                                data-url="<?php print_link("user/editfield/" . urlencode($data['email'])); ?>" 
                                                data-name="profile_img" 
                                                data-title="Enter Profile Img" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="textarea" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['profile_img']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-mobile_country_code">
                                        <th class="title"> Mobile Country Code: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['mobile_country_code']; ?>" 
                                                data-pk="<?php echo $data['user_id'] ?>" 
                                                data-url="<?php print_link("user/editfield/" . urlencode($data['email'])); ?>" 
                                                data-name="mobile_country_code" 
                                                data-title="Enter Mobile Country Code" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['mobile_country_code']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-gender">
                                        <th class="title"> Gender: </th>
                                        <td class="value">
                                            <span  data-source='<?php echo json_encode_quote(Menu :: $gender); ?>' 
                                                data-value="<?php echo $data['gender']; ?>" 
                                                data-pk="<?php echo $data['user_id'] ?>" 
                                                data-url="<?php print_link("user/editfield/" . urlencode($data['email'])); ?>" 
                                                data-name="gender" 
                                                data-title="Enter Gender" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="radiolist" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['gender']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-account_verified">
                                        <th class="title"> Account Verified: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['account_verified']; ?>" 
                                                data-pk="<?php echo $data['user_id'] ?>" 
                                                data-url="<?php print_link("user/editfield/" . urlencode($data['email'])); ?>" 
                                                data-name="account_verified" 
                                                data-title="Enter Account Verified" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['account_verified']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fa fa-save"></i> Export
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                                <a class="btn btn-sm btn-info"  href="<?php print_link("user/edit/$rec_id"); ?>">
                                                    <i class="fa fa-edit"></i> Edit
                                                </a>
                                                <a class="btn btn-sm btn-danger record-delete-btn mx-1"  href="<?php print_link("user/delete/$rec_id/?csrf_token=$csrf_token&redirect=$current_page"); ?>" data-prompt-msg="Are you sure you want to delete this record?" data-display-style="modal">
                                                    <i class="fa fa-times"></i> Delete
                                                </a>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="fa fa-ban"></i> No Record Found
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
