<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title">View  Country</h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['country_id']) ? urlencode($data['country_id']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-country_id">
                                        <th class="title"> Country Id: </th>
                                        <td class="value"> <?php echo $data['country_id']; ?></td>
                                    </tr>
                                    <tr  class="td-country_name">
                                        <th class="title"> Country Name: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['country_name']; ?>" 
                                                data-pk="<?php echo $data['country_id'] ?>" 
                                                data-url="<?php print_link("country/editfield/" . urlencode($data['country_id'])); ?>" 
                                                data-name="country_name" 
                                                data-title="Enter Country Name" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['country_name']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-country_name_ar">
                                        <th class="title"> Country Name Ar: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['country_name_ar']; ?>" 
                                                data-pk="<?php echo $data['country_id'] ?>" 
                                                data-url="<?php print_link("country/editfield/" . urlencode($data['country_id'])); ?>" 
                                                data-name="country_name_ar" 
                                                data-title="Enter Country Name Ar" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['country_name_ar']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-country_flag">
                                        <th class="title"> Country Flag: </th>
                                        <td class="value"><?php Html :: page_img($data['country_flag'],400,400,1); ?></td>
                                    </tr>
                                    <tr  class="td-us_rate">
                                        <th class="title"> Us Rate: </th>
                                        <td class="value">
                                            <span  data-step="0.001" 
                                                data-value="<?php echo $data['us_rate']; ?>" 
                                                data-pk="<?php echo $data['country_id'] ?>" 
                                                data-url="<?php print_link("country/editfield/" . urlencode($data['country_id'])); ?>" 
                                                data-name="us_rate" 
                                                data-title="Enter Us Rate" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="number" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['us_rate']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-country_region">
                                        <th class="title"> Country Region: </th>
                                        <td class="value">
                                            <span  data-source='<?php print_link('api/json/country_country_region_option_list'); ?>' 
                                                data-value="<?php echo $data['country_region']; ?>" 
                                                data-pk="<?php echo $data['country_id'] ?>" 
                                                data-url="<?php print_link("country/editfield/" . urlencode($data['country_id'])); ?>" 
                                                data-name="country_region" 
                                                data-title="Select a value ..." 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="select" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['country_region']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-country_registration_fees">
                                        <th class="title"> Country Registration Fees: </th>
                                        <td class="value">
                                            <span  data-step="0.001" 
                                                data-value="<?php echo $data['country_registration_fees']; ?>" 
                                                data-pk="<?php echo $data['country_id'] ?>" 
                                                data-url="<?php print_link("country/editfield/" . urlencode($data['country_id'])); ?>" 
                                                data-name="country_registration_fees" 
                                                data-title="Enter Country Registration Fees" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="number" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['country_registration_fees']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-currency">
                                        <th class="title"> Currency: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['currency']; ?>" 
                                                data-pk="<?php echo $data['country_id'] ?>" 
                                                data-url="<?php print_link("country/editfield/" . urlencode($data['country_id'])); ?>" 
                                                data-name="currency" 
                                                data-title="Enter Currency" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['currency']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-municipality">
                                        <th class="title"> Municipality: </th>
                                        <td class="value">
                                            <span  data-step="0.001" 
                                                data-value="<?php echo $data['municipality']; ?>" 
                                                data-pk="<?php echo $data['country_id'] ?>" 
                                                data-url="<?php print_link("country/editfield/" . urlencode($data['country_id'])); ?>" 
                                                data-name="municipality" 
                                                data-title="Enter Municipality" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="number" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['municipality']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-currency_ar">
                                        <th class="title"> Currency Ar: </th>
                                        <td class="value">
                                            <span  data-value="<?php echo $data['currency_ar']; ?>" 
                                                data-pk="<?php echo $data['country_id'] ?>" 
                                                data-url="<?php print_link("country/editfield/" . urlencode($data['country_id'])); ?>" 
                                                data-name="currency_ar" 
                                                data-title="Enter Currency Ar" 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="text" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['currency_ar']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-country_status">
                                        <th class="title"> Country Status: </th>
                                        <td class="value">
                                            <span  data-source='<?php echo json_encode_quote(Menu :: $country_status); ?>' 
                                                data-value="<?php echo $data['country_status']; ?>" 
                                                data-pk="<?php echo $data['country_id'] ?>" 
                                                data-url="<?php print_link("country/editfield/" . urlencode($data['country_id'])); ?>" 
                                                data-name="country_status" 
                                                data-title="Select a value ..." 
                                                data-placement="left" 
                                                data-toggle="click" 
                                                data-type="select" 
                                                data-mode="popover" 
                                                data-showbuttons="left" 
                                                class="is-editable" >
                                                <?php echo $data['country_status']; ?> 
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fa fa-save"></i> Export
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                                <a class="btn btn-sm btn-info"  href="<?php print_link("country/edit/$rec_id"); ?>">
                                                    <i class="fa fa-edit"></i> Edit
                                                </a>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="fa fa-ban"></i> No Record Found
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
